/domains/{id}/dkim (POST)
POST
/domains/{id}/dkim
const url = 'https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dkim';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dkim \ --header 'Authorization: Bearer <token>'Generate a new signing key and make it active (rotation). The previous key is retired; keep its DNS record for 30 days, then delete it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
Example
{ "algorithm": "rsa", "status": "active"}